/*
 * uart.h
 *
 *  Created on: Feb 17, 2012
 *      Author: ksnieck
 */

#ifndef UART_H_
#define UART_H_


void pc_uart_init(void);
void pc_uart_tx(char data);
char pc_uart_rx(void);
void crazy_leds(void);

//stdio handlers
int uart_open(const char *path, unsigned flags, int llv_fd);
int uart_close(int dev_fd);
int uart_read(int dev_fd, char *buf, unsigned count);
int uart_write(int dev_fd, const char *buf, unsigned count);
long uart_lseek(int dev_fd, long offset, int origin);
int uart_rename(const char *old_name, const char *new_name);
int uart_unlink(const char *path);


#endif /* UART_H_ */
