/*
 * adc_spi.h
 *
 *  Created on: Jan 15, 2012
 *      Author: Kurt Snieckus
 *
 *     Functions to configure, initiate and read back conversions from the ADC
 */

#ifndef ADC_SPI_H_
#define ADC_SPI_H_

unsigned long adc_convert(int next_config);
void adc_spi_init();
void adc_spi_tx(char data);
char adc_spi_rx();
unsigned long adc_reading(char chan, char nextchan, int avg);

#endif /* ADC_SPI_H_ */
